import java.net.URL;

public class PopObject {
   public int messageType;
   public static final int MOUSE_EXIT = 0;
   public static final int MOUSE_ENTER = 1;
   public static final int MOUSE_DOWN = 2;
   private int buttonNum;
   private URL buttonURL;
   private URL[] URLList;
   private String[] stringList;
   private String target;
   private String[] targetList;

   public String getButtonTarget() {
      return this.target;
   }

   PopObject(int buttonNum, URL buttonURL, String URLTarget, URL[] URLList, String[] targList, String[] stringList) {
      this.buttonNum = buttonNum;
      this.buttonURL = buttonURL;
      this.target = URLTarget;
      this.URLList = URLList;
      this.stringList = stringList;
      this.targetList = targList;
   }

   public URL[] getURLList() {
      return this.URLList;
   }

   public String[] getTargetList() {
      return this.targetList;
   }

   public String[] getStringList() {
      return this.stringList;
   }

   public int getButtonNum() {
      return this.buttonNum;
   }

   public void setMessageType(int messageType) {
      this.messageType = messageType;
   }

   public int getMessageType() {
      return this.messageType;
   }

   public URL getButtonURL() {
      return this.buttonURL;
   }
}
